package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag767;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT767Creator;

public class TagC24ECreator extends AbsTagCreate {
    private MT767Creator mt767Creator;

    public TagC24ECreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt767Creator = (MT767Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tagC24EValue = mt767Creator.getDeliveryOfAmendmentToLocalUndertakingOfC();
        mt767Creator.set("24E", tagC24EValue);
    }
}
